A newer version of this product documentation is available. If you are redirected to the main page of the user guide, then this page might have been renamed or removed.

Inventory and Devices

The NetworkEntity section of the API lets you manage inventory and hardware objects in the NVLink fabric, including switches, chassis, compute nodes, GPUs, ports, and domains.

GPU API Endpoints

The /v1/gpus endpoint supports the following query parameters. These parameters allow you to scope GPU queries according to a specific chassis, slot, tray, or host without retrieving the entire inventory.

ParameterTypeDescriptionDependencies
deviceUIDstringDisplay a GPU according to its unique device identifierNone
chassisSerialNumberstringDisplay GPUs by chassis serial numberNone
slotIDintegerDisplay GPUs by slot identifierRequires chassisSerialNumber
trayIndexintegerDisplay GPUs by tray indexRequires chassisSerialNumber
hostIDstringDisplay GPUs by host identifierRequires trayIndex or slotID
domainarrayDisplay GPUs by domain UUID(s)None

GPU API Examples

Retrieve a specific GPU using its unique device identifier:

curl -X GET "https://<ip_address>/nmx/v1/gpus?deviceUID=12345678" \
  -H "accept: application/json" \
  -H "Authorization: Basic <auth-token>"

Example response

Retrieve all GPUs in a specific chassis:

curl -X GET "https://<ip_address>/nmx/v1/gpus?chassisSerialNumber=CH-SN-9876543" \
  -H "accept: application/json" \
  -H "Authorization: Basic <auth-token>"

Example response

Retrieve GPUs from a specific slot within a chassis:

curl -X GET "https://<ip_address>/nmx/v1/gpus?chassisSerialNumber=CH-SN-9876543&slotID=3" \
  -H "accept: application/json" \
  -H "Authorization: Basic <auth-token>"

Example response

Retrieve GPUs from a specific tray and host combination:

curl -X GET "https://<ip_address>/nmx/v1/gpus?chassisSerialNumber=CH-SN-9876543&trayIndex=1&hostID=1" \
  -H "accept: application/json" \
  -H "Authorization: Basic <auth-token>"
Example response